package com.bocloud.cmp.model.installation.catalog;

/**
 * 物理机内存条信息类
 *
 * @author Shaolong_tan
 */
public class Memory {
    /**
     * 阵列处理
     */
    private String arrayHandle;
    /**
     * 财产标签
     */
    private String assetTag;
    /**
     * Bank位置
     */
    private String bankLocator;
    /**
     * 数据宽度
     */
    private String dataWidth;
    /**
     * 错误信息处理
     */
    private String errorInfoHandle;
    /**
     * 物理规格
     */
    private String formFactor;
    /**
     * 位置
     */
    private String locator;
    /**
     * 制造商
     */
    private String manufacturer;
    /**
     * 零件号码
     */
    private String partNumber;
    /**
     * 等级
     */
    private String rank;
    /**
     * 序列号
     */
    private String serialNumber;
    /**
     * 集合
     */
    private String set;
    /**
     * 大小
     */
    private String size;
    /**
     * 速率
     */
    private String speed;
    /**
     * 时钟速率
     */
    private String clockSpeed;
    /**
     * 总宽度
     */
    private String totalWidth;
    /**
     * 类型
     */
    private String type;
    /**
     * 类型详细
     */
    private String typeDetail;

    /**
     * @return the arrayHandle
     */
    public String getArrayHandle() {
        return arrayHandle;
    }

    /**
     * @param arrayHandle the arrayHandle to set
     */
    public void setArrayHandle(String arrayHandle) {
        this.arrayHandle = arrayHandle;
    }

    /**
     * @return the assetTag
     */
    public String getAssetTag() {
        return assetTag;
    }

    /**
     * @param assetTag the assetTag to set
     */
    public void setAssetTag(String assetTag) {
        this.assetTag = assetTag;
    }

    /**
     * @return the bankLocator
     */
    public String getBankLocator() {
        return bankLocator;
    }

    /**
     * @param bankLocator the bankLocator to set
     */
    public void setBankLocator(String bankLocator) {
        this.bankLocator = bankLocator;
    }

    /**
     * @return the dataWidth
     */
    public String getDataWidth() {
        return dataWidth;
    }

    /**
     * @param dataWidth the dataWidth to set
     */
    public void setDataWidth(String dataWidth) {
        this.dataWidth = dataWidth;
    }

    /**
     * @return the errorInfoHandle
     */
    public String getErrorInfoHandle() {
        return errorInfoHandle;
    }

    /**
     * @param errorInfoHandle the errorInfoHandle to set
     */
    public void setErrorInfoHandle(String errorInfoHandle) {
        this.errorInfoHandle = errorInfoHandle;
    }

    /**
     * @return the formFactor
     */
    public String getFormFactor() {
        return formFactor;
    }

    /**
     * @param formFactor the formFactor to set
     */
    public void setFormFactor(String formFactor) {
        this.formFactor = formFactor;
    }

    /**
     * @return the locator
     */
    public String getLocator() {
        return locator;
    }

    /**
     * @param locator the locator to set
     */
    public void setLocator(String locator) {
        this.locator = locator;
    }

    /**
     * @return the manufacturer
     */
    public String getManufacturer() {
        return manufacturer;
    }

    /**
     * @param manufacturer the manufacturer to set
     */
    public void setManufacturer(String manufacturer) {
        this.manufacturer = manufacturer;
    }

    /**
     * @return the partNumber
     */
    public String getPartNumber() {
        return partNumber;
    }

    /**
     * @param partNumber the partNumber to set
     */
    public void setPartNumber(String partNumber) {
        this.partNumber = partNumber;
    }

    /**
     * @return the rank
     */
    public String getRank() {
        return rank;
    }

    /**
     * @param rank the rank to set
     */
    public void setRank(String rank) {
        this.rank = rank;
    }

    /**
     * @return the serialNumber
     */
    public String getSerialNumber() {
        return serialNumber;
    }

    /**
     * @param serialNumber the serialNumber to set
     */
    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    /**
     * @return the set
     */
    public String getSet() {
        return set;
    }

    /**
     * @param set the set to set
     */
    public void setSet(String set) {
        this.set = set;
    }

    /**
     * @return the size
     */
    public String getSize() {
        return size;
    }

    /**
     * @param size the size to set
     */
    public void setSize(String size) {
        this.size = size;
    }

    /**
     * @return the speed
     */
    public String getSpeed() {
        return speed;
    }

    /**
     * @param speed the speed to set
     */
    public void setSpeed(String speed) {
        this.speed = speed;
    }

    /**
     * @return the totalWidth
     */
    public String getTotalWidth() {
        return totalWidth;
    }

    /**
     * @param totalWidth the totalWidth to set
     */
    public void setTotalWidth(String totalWidth) {
        this.totalWidth = totalWidth;
    }

    /**
     * @return the type
     */
    public String getType() {
        return type;
    }

    /**
     * @param type the type to set
     */
    public void setType(String type) {
        this.type = type;
    }

    /**
     * @return the typeDetail
     */
    public String getTypeDetail() {
        return typeDetail;
    }

    /**
     * @param typeDetail the typeDetail to set
     */
    public void setTypeDetail(String typeDetail) {
        this.typeDetail = typeDetail;
    }

    public String getClockSpeed() {
        return clockSpeed;
    }

    public void setClockSpeed(String clockSpeed) {
        this.clockSpeed = clockSpeed;
    }
}
